Subject: Re: linux-next: build failure after merge of the tty tree

From: Greg KH <[email-masked]>
Date: Mon, 24 Mar 2025 06:27:59 -0700

On Mon, Mar 24, 2025 at 09:10:01AM +0000, Sherry Sun wrote:
> 
> 
> > -----Original Message-----
> > From: Stephen Rothwell <[email-masked]>
> > Sent: Monday, March 24, 2025 4:37 PM
> > To: Greg KH <[email-masked]>
> > Cc: Greg Kroah-Hartman <[email-masked]>; Sherry Sun
> > <[email-masked]>; Linux Kernel Mailing List <linux-
> > [email-masked]>; Linux Next Mailing List <[email-masked]>
> > Subject: linux-next: build failure after merge of the tty tree
> > 
> > Hi all,
> > 
> > After merging the tty tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> > 
> > drivers/tty/serial/fsl_lpuart.c: In function 'lpuart_poll_init':
> > drivers/tty/serial/fsl_lpuart.c:642:29: error: unused variable 'sport' [-
> > Werror=unused-variable]
> >   642 |         struct lpuart_port *sport = container_of(port,
> >       |                             ^~~~~
> > drivers/tty/serial/fsl_lpuart.c: In function 'lpuart32_poll_init':
> > drivers/tty/serial/fsl_lpuart.c:696:29: error: unused variable 'sport' [-
> > Werror=unused-variable]
> >   696 |         struct lpuart_port *sport = container_of(port, struct lpuart_port,
> > port);
> >       |                             ^~~~~
> > cc1: all warnings being treated as errors
> > 
> 
> Hi Stephen,
> 
> Thanks for the quick fix, actually I sent the fix patch earlier today, please check
> https://lore.kernel.org/imx/[email-masked]/T/
> 
> Best Regards
> Sherry
> 
> > Caused by commit
> > 
> >   3cc16ae096f1 ("tty: serial: fsl_lpuart: use port struct directly to simply code")
> > 
> > I have applied the following patch for today:
> > 
> > From: Stephen Rothwell <[email-masked]>
> > Date: Mon, 24 Mar 2025 19:10:57 +1100
> > Subject: [PATCH] fix up for "tty: serial: fsl_lpuart: use port struct directly  to
> > simply code"
> > 
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  drivers/tty/serial/fsl_lpuart.c | 3 ---
> >  1 file changed, 3 deletions(-)
> > 
> > diff --git a/drivers/tty/serial/fsl_lpuart.c b/drivers/tty/serial/fsl_lpuart.c index
> > 33eeefa6fa8f..4470966b826c 100644
> > --- a/drivers/tty/serial/fsl_lpuart.c
> > +++ b/drivers/tty/serial/fsl_lpuart.c
> > @@ -639,8 +639,6 @@ static void lpuart32_wait_bit_set(struct uart_port
> > *port, unsigned int offset,
> > 
> >  static int lpuart_poll_init(struct uart_port *port)  {
> > -	struct lpuart_port *sport = container_of(port,
> > -					struct lpuart_port, port);
> >  	unsigned long flags;
> >  	u8 fifo;
> > 
> > @@ -693,7 +691,6 @@ static int lpuart_poll_get_char(struct uart_port *port)
> > static int lpuart32_poll_init(struct uart_port *port)  {
> >  	unsigned long flags;
> > -	struct lpuart_port *sport = container_of(port, struct lpuart_port,
> > port);
> >  	u32 fifo;
> > 
> >  	port->fifosize = 0;
> > --
> > 2.45.2

I've applied the fix to my tree now, sorry for the delay.

greg k-h